# Element_Tree.h File Reference

`#include "ACEXML/parser/debug_validator/Debug_DTD_Manager_Export.h"`
`#include "ACEXML/common/XML_Types.h"`
`#include "ACEXML/parser/debug_validator/Element_Tree.i"`

Include dependency graph for Element_Tree.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACEXML_Element_Tree_Node
| An abstract base class for describing DTD child element definition. More...
class | ACEXML_Element_Tree_Name_Node
| An abstract base class for describing a name node in a DTD child element definition. More...
class | ACEXML_Element_Tree_List_Node
| An abstract base class for describing a node list in a DTD child element definition. More...
class | ACEXML_Element_Tree_List_Stack
| A class for managing a stack of ACEXML_Element_Tree_List_Node's. More...

## Detailed Description

Id
  Element_Tree.h,v 1.6 2003/07/19 19:04:10 dhinton Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>